Skip to main content
POST
/
v1
/
route_estimate
Calculate estimated Route time and distance
curl --request POST \
  --url https://api.tread-horizon.com/v1/route_estimate \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "pickup_site_lat": 123,
  "pickup_site_lon": 123,
  "drop_off_site_lat": 123,
  "drop_off_site_lon": 123
}
'
{
  "data": {
    "pickup_to_drop_off_time_minutes": 123,
    "pickup_to_drop_off_distance_meters": 123
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.tread.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

Accept-Language
string
default:en

The Accept-Language request HTTP header indicates the natural language and locale that the client prefers.

Example:

"en"

Body

application/json
pickup_site_lat
number
required

latitude of the Pickup site. \n\nMust be a number between -90 and 90

pickup_site_lon
number
required

longitude of the Pickup site. \n\nMust be a number between -180 and 180

drop_off_site_lat
number
required

latitude of the Dropoff site. \n\nMust be a number between -90 and 90

drop_off_site_lon
number
required

longitude of the Dropoff site. \n\nMust be a number between -180 and 180

Response

OK

data
RouteEstimate-Read · object
required